Heap

## Macros

#define | __itt_heap_function_create __itt_heap_function_createA
#define | __itt_heap_function_create_ptr __itt_heap_function_createA_ptr
#define | __itt_heap_leaks
| Specify the type of heap detection/reporting to modify. More...
#define | __itt_heap_growth
| Report on memory growth. More...

## Typedefs

typedef void * | __itt_heap_function

## Functions

__itt_heap_function ITTAPI | __itt_heap_function_createA (const char *name, const char *domain)
| Create an identification for heap function. More...
__itt_heap_function ITTAPI | __itt_heap_function_createW (const wchar_t *name, const wchar_t *domain)
void ITTAPI | __itt_heap_allocate_begin (__itt_heap_function h, size_t size, int initialized)
| Record an allocation begin occurrence. More...
void ITTAPI | __itt_heap_allocate_end (__itt_heap_function h, void **addr, size_t size, int initialized)
| Record an allocation end occurrence. More...
void ITTAPI | __itt_heap_free_begin (__itt_heap_function h, void *addr)
| Record an free begin occurrence. More...
void ITTAPI | __itt_heap_free_end (__itt_heap_function h, void *addr)
| Record an free end occurrence. More...
void ITTAPI | __itt_heap_reallocate_begin (__itt_heap_function h, void *addr, size_t new_size, int initialized)
| Record an reallocation begin occurrence. More...
void ITTAPI | __itt_heap_reallocate_end (__itt_heap_function h, void *addr, void **new_addr, size_t new_size, int initialized)
| Record an reallocation end occurrence. More...
void ITTAPI | __itt_heap_internal_access_begin (void)
| internal access begin More...
void ITTAPI | __itt_heap_internal_access_end (void)
| internal access end More...
void ITTAPI | __itt_heap_record_memory_growth_begin (void)
| record memory growth begin More...
void ITTAPI | __itt_heap_record_memory_growth_end (void)
| record memory growth end More...
void ITTAPI | __itt_heap_reset_detection (unsigned int reset_mask)
| heap reset detection More...
void ITTAPI | __itt_heap_record (unsigned int record_mask)
| report More...

## Detailed Description

Heap group

## Macro Definition Documentation

## __itt_heap_function_create

#define __itt_heap_function_create __itt_heap_function_createA

Definition at line 1453 of file ittnotify.h.

## __itt_heap_function_create_ptr

#define __itt_heap_function_create_ptr __itt_heap_function_createA_ptr

Definition at line 1454 of file ittnotify.h.

## __itt_heap_growth

#define __itt_heap_growth

Report on memory growth.

Definition at line 1704 of file ittnotify.h.

## __itt_heap_leaks

#define __itt_heap_leaks

Specify the type of heap detection/reporting to modify.

Report on memory leaks.

Definition at line 1698 of file ittnotify.h.

## Typedef Documentation

## __itt_heap_function

typedef void* __itt_heap_function

Definition at line 1440 of file ittnotify.h.

## Function Documentation

## __itt_heap_allocate_begin()

void ITTAPI __itt_heap_allocate_begin | ( | __itt_heap_function | h,
|  | size_t | size,
|  | int | initialized
| ) |  |

Record an allocation begin occurrence.

## __itt_heap_allocate_end()

void ITTAPI __itt_heap_allocate_end | ( | __itt_heap_function | h,
|  | void ** | addr,
|  | size_t | size,
|  | int | initialized
| ) |  |

Record an allocation end occurrence.

## __itt_heap_free_begin()

void ITTAPI __itt_heap_free_begin | ( | __itt_heap_function | h,
|  | void * | addr
| ) |  |

Record an free begin occurrence.

## __itt_heap_free_end()

void ITTAPI __itt_heap_free_end | ( | __itt_heap_function | h,
|  | void * | addr
| ) |  |

Record an free end occurrence.

## __itt_heap_function_createA()

__itt_heap_function ITTAPI __itt_heap_function_createA | ( | const char * | name,
|  | const char * | domain
| ) |  |

Create an identification for heap function.

Returns
  non-zero identifier or NULL

## __itt_heap_function_createW()

__itt_heap_function ITTAPI __itt_heap_function_createW | ( | const wchar_t * | name,
|  | const wchar_t * | domain
| ) |  |

## __itt_heap_internal_access_begin()

void ITTAPI __itt_heap_internal_access_begin | ( | void |  | ) |

internal access begin

## __itt_heap_internal_access_end()

void ITTAPI __itt_heap_internal_access_end | ( | void |  | ) |

internal access end

## __itt_heap_reallocate_begin()

void ITTAPI __itt_heap_reallocate_begin | ( | __itt_heap_function | h,
|  | void * | addr,
|  | size_t | new_size,
|  | int | initialized
| ) |  |

Record an reallocation begin occurrence.

## __itt_heap_reallocate_end()

void ITTAPI __itt_heap_reallocate_end | ( | __itt_heap_function | h,
|  | void * | addr,
|  | void ** | new_addr,
|  | size_t | new_size,
|  | int | initialized
| ) |  |

Record an reallocation end occurrence.

## __itt_heap_record()

void ITTAPI __itt_heap_record | ( | unsigned int | record_mask | ) |

report

## __itt_heap_record_memory_growth_begin()

void ITTAPI __itt_heap_record_memory_growth_begin | ( | void |  | ) |

record memory growth begin

## __itt_heap_record_memory_growth_end()

void ITTAPI __itt_heap_record_memory_growth_end | ( | void |  | ) |

record memory growth end

## __itt_heap_reset_detection()

void ITTAPI __itt_heap_reset_detection | ( | unsigned int | reset_mask | ) |

heap reset detection

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.